package Globus::Core::Paths;

require Exporter;

@ISA = qw(Exporter);

@EXPORT = qw($prefix $exec_prefix
	     $bindir $sbindir $libdir
	     $includedir $flavorincludedir
	     $datadir $libexecdir
	     $sysconfdir $sharedstatedir
	     $localstatedir
	     $setupdir $testdir
	     $perlmoduledir
	     $tmpdir
	     $local_tmpdir
	     $secure_tmpdir);

my $PACKAGE = "\$PACKAGE";
my $GLOBUS_FLAVOR_NAME = "\$GLOBUS_FLAVOR_NAME";

$prefix=$ENV{GLOBUS_LOCATION};
$prefix="/usr" if (!defined $prefix);
$exec_prefix=$ENV{GLOBUS_LOCATION};
$exec_prefix="/usr" if (!defined $exec_prefix);
$bindir="/usr/i686-pc-mingw32/sys-root/mingw/bin";
$sbindir="/usr/i686-pc-mingw32/sys-root/mingw/sbin";
$libdir="/usr/i686-pc-mingw32/sys-root/mingw/lib";
$includedir="${prefix}/include/globus";
$flavorincludedir="${libdir}/globus/include";
$datadir="/usr/i686-pc-mingw32/sys-root/mingw/share";
$libexecdir="${datadir}/globus";
$sysconfdir="/usr/i686-pc-mingw32/sys-root/mingw/etc";
$sharedstatedir="/usr/i686-pc-mingw32/sys-root/mingw/com";
$localstatedir="/usr/i686-pc-mingw32/sys-root/mingw/var";
$setupdir="${datadir}/globus/setup";
$testdir="${datadir}/globus/test/${PACKAGE}";
$perlmoduledir="${prefix}/lib/perl";
$tmpdir="/tmp";
$local_tmpdir="${tmpdir}";
$secure_tmpdir="/usr/i686-pc-mingw32/sys-root/mingw/var/tmp";

1;
